/* Frappe Theme
 *
 * text: #c6d0f5
 * text-secondary: #8CAAEE
 * text-background: #B5BFE2
 * prompt: #EA999C
 * URLs: #f2d5cf
 * selection: #626880
 * active border: #babbf1
 * background: #303446
 * */
@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,400;0,500;0,700;1,400&display=swap");

* {
    background: #303446;
    font-family: "IBM Plex Mono", monospace;
    font-weight: 500;
    color: #c6d0f5;
}

body {
    min-height: 95vh;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    font-size: 1rem;
}

h3 {
    display: inline-block;
    font-size: inherit;
    padding: 0 0.5em;
    margin-bottom: 0;
    background-color: #684eff;
    color: #fafafa;
}

a {
    color: #f2d5cf;
    text-decoration: none;
}

footer {
    color: #b5bfe2;
    margin-top: auto;
}

.text-background {
    color: #b5bfe2;
}

.text-secondary {
    color: #8caaee;
}

.twitch:hover {
    color: #772ce8;
}

.youtube:hover {
    color: #ff0000;
}

.twitter:hover {
    color: #1a8cd8;
}

.udemy:hover {
    color: #684eff;
}

.linkedin:hover {
    color: #208bfe;
}

.github:hover {
    color: #a6d189;
}

.charm:hover {
    color: #ff6dff;
}

.cursor {
    color: #f2d5cf;
}

.output {
    width: 100%;
    max-width: 80ch;
    animation: fade 5s;
}

.typeme {
    width: 30ch;
    animation:
        typing 2s steps(25),
        blink 0.5s step-end infinite alternate;
    white-space: nowrap;
    overflow: hidden;
    border-right: 10px solid #f2d5cf;
}

/* animation */

@keyframes fade {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes typing {
    0% {
        width: 0;
    }
    100% {
        width: 30ch;
    }
}

@keyframes blink {
    50% {
        border-color: transparent;
    }
}

/* dynamic resizing */
@media (min-width: 600px) {
    body {
        font-size: 1.25rem;
    }
}
